Create a budget
curl --request POST \
--url https://int-data.moneydesktop.com/budgets \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"budget": [
{
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"parent_guid": "BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778",
"amount": 1000,
"metadata": "Additional information",
"skip_webhook": true
}
]
}
'import requests
url = "https://int-data.moneydesktop.com/budgets"
payload = { "budget": [
{
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"parent_guid": "BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778",
"amount": 1000,
"metadata": "Additional information",
"skip_webhook": True
}
] }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({
budget: [
{
category_guid: 'CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a',
parent_guid: 'BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778',
amount: 1000,
metadata: 'Additional information',
skip_webhook: true
}
]
})
};
fetch('https://int-data.moneydesktop.com/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/budgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'budget' => [
[
'category_guid' => 'CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a',
'parent_guid' => 'BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778',
'amount' => 1000,
'metadata' => 'Additional information',
'skip_webhook' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/budgets"
payload := strings.NewReader("{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-data.moneydesktop.com/budgets")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/budgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"budget": {
"amount": 153,
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"created_at": "2018-10-18T19:51:26.000Z",
"guid": "BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d",
"is_exceeded": true,
"is_off_track": true,
"metadata": "some metadata",
"name": "Food & Dining",
"off_track_percentage": 123,
"parent_guid": "<string>",
"percent_spent": 1276.34,
"projected_spending": 3562.4,
"revision": 561,
"transaction_total": 1952.8,
"updated_at": "2022-06-14T21:17:11+00:00\"",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Budgets
Create a budget
Create a budget. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.
POST
/
budgets
Create a budget
curl --request POST \
--url https://int-data.moneydesktop.com/budgets \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"budget": [
{
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"parent_guid": "BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778",
"amount": 1000,
"metadata": "Additional information",
"skip_webhook": true
}
]
}
'import requests
url = "https://int-data.moneydesktop.com/budgets"
payload = { "budget": [
{
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"parent_guid": "BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778",
"amount": 1000,
"metadata": "Additional information",
"skip_webhook": True
}
] }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({
budget: [
{
category_guid: 'CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a',
parent_guid: 'BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778',
amount: 1000,
metadata: 'Additional information',
skip_webhook: true
}
]
})
};
fetch('https://int-data.moneydesktop.com/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/budgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'budget' => [
[
'category_guid' => 'CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a',
'parent_guid' => 'BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778',
'amount' => 1000,
'metadata' => 'Additional information',
'skip_webhook' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/budgets"
payload := strings.NewReader("{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-data.moneydesktop.com/budgets")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/budgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"budget\": [\n {\n \"category_guid\": \"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a\",\n \"parent_guid\": \"BGT-6be44a91-e105-f68a-4770-8c7c0a5c9778\",\n \"amount\": 1000,\n \"metadata\": \"Additional information\",\n \"skip_webhook\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"budget": {
"amount": 153,
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"created_at": "2018-10-18T19:51:26.000Z",
"guid": "BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d",
"is_exceeded": true,
"is_off_track": true,
"metadata": "some metadata",
"name": "Food & Dining",
"off_track_percentage": 123,
"parent_guid": "<string>",
"percent_spent": 1276.34,
"projected_spending": 3562.4,
"revision": 561,
"transaction_total": 1952.8,
"updated_at": "2022-06-14T21:17:11+00:00\"",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
application/vnd.mx.nexus.v1+json
Hide child attributes
Hide child attributes
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes

